#
# spec file for package color-filesystem
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           color-filesystem
Version:        1
Release:        13.24
Summary:        Color filesystem layout

Url:            http://www.freedesktop.org/wiki/OpenIcc
Group:          System/Base
License:        SUSE-Public-Domain
BuildArch:      noarch

Requires:       filesystem
Requires:       rpm       
Provides:       icc-dirs = 1.3
Obsoletes:      icc-dirs = 1.2

%description
This package provides directories and rpm macros that are required/used to store color management data for many applications.

%prep
# Nothing to prep

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{_datadir}/color/icc
mkdir -p %{buildroot}%{_datadir}/color/cmms
mkdir -p %{buildroot}%{_datadir}/color/settings
mkdir -p %{buildroot}%{_datadir}/color/target
mkdir -p %{buildroot}%{_localstatedir}/lib/color/icc

# rpm macros
mkdir -p %{buildroot}/usr/lib/rpm/
cat >%{buildroot}/usr/lib/rpm/macros.color<<EOF
%%_colordir %%_datadir/color
%%_syscolordir %%_colordir
%%_icccolordir %%_colordir/icc
%%_cmmscolordir %%_colordir/cmms
%%_settingscolordir %%_colordir/settings
%%_targetcolordir %%_colordir/target
EOF

%files
%defattr(-,root,root,-)
%dir %{_datadir}/color
%dir %{_datadir}/color/icc
%dir %{_datadir}/color/cmms
%dir %{_datadir}/color/settings
%dir %{_datadir}/color/target
%dir %{_localstatedir}/lib/color
%dir %{_localstatedir}/lib/color/icc
/usr/lib/rpm/macros.color

%changelog
* Tue Sep  6 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - 1-0
- use mrdocs' description
- replace $RPM_BUILD_ROOT with %%{buildroot}
* Tue Sep  6 2011 Kai-Uwe Behrmann <ku.b@gmx.de>
- replace _sysconfdir/rpm with openSUSE's /usr/lib/rpm
- place versioned Provides/Obsoletes
- remove release version, as obs will care about that automatically
* Tue Sep  6 2011 Kai-Uwe Behrmann <ku.b@gmx.de>
- removed the spec changelog as there is a .changelog file for obs
- removed the rm call in the install section
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Tue Jun  1 2010 Richard Hughes <richard@hughsie.com> - 1-7
- Add the user-writable system-wide per-machine ICC profile directory from
  the new version of the OpenIccDirectoryProposal.
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
  * Fri Mar  7 2008 kwizart < kwizart at gmail.com > - 1-4
- Bump
  * Fri Mar  7 2008 kwizart < kwizart at gmail.com > - 1-3
- bump
  * Tue Mar  4 2008 kwizart < kwizart at gmail.com > - 1-2
- Add settings color dir
  * Sat Feb  2 2008 kwizart < kwizart at gmail.com > - 1-1
- Initial package.
